<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\Homework\HomeworkId;
use DomainException;

use function sprintf;

final class NonProprietaireDuDevoirException extends DomainException
{
    public static function withId(HomeworkId $id): self
    {
        return new self(sprintf(
            'Vous n\'êtes pas le propriétaire du devoir "%s".',
            $id,
        ));
    }
}
